{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "RCPT_CODE"; 
            externalType = VARCHAR2; 
            name = rcptCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = "RCPT_TYPE_REPARTITION"; 
            externalType = VARCHAR2; 
            name = rcptTypeRepartition; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }
    ); 
    attributesUsedForLocking = (pcoNum, rcptCode, rcptTypeRepartition); 
    className = "org.cocktail.scolarix.serveur.metier.eos.EORepartitionCompte"; 
    classProperties = (pcoNum, rcptCode, rcptTypeRepartition, toPlanco); 
    externalName = "GARNUCHE.REPARTITION_COMPTE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolarix.client.metier.eos.EORepartitionCompte"; 
    }; 
    isReadOnly = Y; 
    name = "FwkScolarix_RepartitionCompte"; 
    primaryKeyAttributes = (rcptCode); 
    relationships = (
        {
            destination = "FwkScolarix_Planco"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = pcoNum; sourceAttribute = pcoNum; }); 
            name = toPlanco; 
        }
    ); 
}
